<div class="container about">
    <div class="page-header">
        <h1>{{'About.About' | translate}}</h1>
        <a class="btn btn-default float-right manual-download" href="{{properties['parapheur.ihm.aide.utilisateur.url']}}"
           target="_blank">
            <i class="fa fa-download fa-lg"></i> {{properties['parapheur.ihm.aide.utilisateur.text']}}
        </a>
    </div>
    <div class="col-md-12">
        <div class="col-md-6">
            <div class="col-md-12">
                <h4 class="page-header">Informations du poste</h4>
                <p>
                    <strong>Navigateur basé sur: </strong>
                    <span ng-repeat="v in navigator">{{v}} </span>
                </p>

                <p>
                    <strong>Signature électronique : </strong>

                    <span class="text-success" ng-if="client.signature.isCompatible"><i
                            class="fa fa-check"></i> <strong>Compatible</strong><br/></span>
                    <span class="text-danger" ng-if="!client.signature.isCompatible"><i
                            class="fa fa-warning"></i> <strong>Non compatible</strong><br/></span>

                </p>
                <p>
                <div ng-if="client.signature.updating">
                <div class="alert alert-info"><i class="fa fa-info-circle"></i> Vérification de la version de Libersign en cours, veuillez patienter.
                </div>
                </div>
                <div ng-if="client.signature.extension && client.signature.extensionUpdated">
                    <div>
                        <strong>Application native : </strong>
                        <span class="text-success fa fa-check" ng-if="client.signature.version"><br/></span>
                        <span class="text-info"
                              ng-if="client.signature.version">Version {{client.signature.version.version}}</span>
                        <span class="text-warning" ng-if="client.signature.error === 'no_implementation'">
                            <i class="fa fa-warning"></i> <strong>Application LiberSign non installée</strong><br/>
                        </span>
                    </div>

                    <div ng-if="client.signature.version">
                        <strong>Extension : </strong>
                        <span class="text-info" ng-if="client.signature.version">Version {{client.signature.version.extension}}</span>
                    </div>

                    <div ng-if="client.signature.version">
                        <strong>LiberSign : </strong>
                        <span class="text-info" ng-if="client.signature.version">Version {{client.signature.version.libersign}}</span>
                    </div>
                </div>
                <div ng-if="!client.signature.extensionUpdated">
                    <div class="alert alert-warning"><i class="fa fa-warning"></i> Votre version de l'extension LiberSign est obsolète.<br/>FireFox lancera une mise à jour automatiquement sous 24h. Cela n'impactera pas l'action de signature.<br/>Si ce message apparait toujours 24h après l'installation de l'extension, veuillez contacter votre administrateur.
                    </div>
                    <div ng-if="client.signature.version">
                        <strong>Extension : </strong>
                        <span class="text-success fa fa-check"><br/></span>
                        <span class="text-info">Version {{client.signature.version}}</span>
                    </div>
                </div>
                <span ng-if="client.signature.canExtension && !client.signature.extension">
                        <strong>Extension : </strong>
                        <span class="text-warning"><i
                                class="fa fa-warning"></i> <strong>Non installée</strong><br/></span>
                    </span>
                <div ng-if="client.signature.canExtension">
                    <p class="text-info" ng-if="!client.signature.extension"><i class="fa fa-info-circle"></i> Afin de rendre votre navigateur compatible
                        avec
                        la signature électronique, merci de suivre l'aide d'installation.</p>
                    <span class="btn btn-info mt-3"
                          ng-click="launchHelpModal()">
                            <i class="fa fa-question"></i>
                            Aide d'installation
                        </span>
                </div>


                <span class="text-danger"
                      ng-if="client.signature.error && client.signature.error !== 'no_implementation'"><br/><i class="fa fa-warning"></i> Problème de communication avec LiberSign : {{client.signature.error}}</span>
                </p>
                <p ng-if="client.signature.canJava && !client.signature.extension">
                    <strong>Java :</strong>
                    <span class="text-success fa fa-check" ng-if="client.java.enabled"><br/></span>
                    <span class="text-danger" ng-if="!client.java.enabled"><i class="fa fa-times"></i> Non installé<br/></span>
                    <span class="text-info" ng-if="client.java.enabled">Version : {{client.java.version}}</span>
                </p>
            </div>
            <div class="col-md-12">
                <h4 class="page-header">{{'About.LicenceTitle' | translate}}</h4>
                <div class="col-md-12">
                    <div>{{'About.Agplpart1.1' | translate}} <a href="//www.gnu.org/licenses/agpl-3.0.html"
                                                                target="_blank">{{'About.Agplpart1.link'
                        | translate}}</a> {{'About.Agplpart1.2' | translate}}
                    </div>
                    <br/>
                    <div>{{'About.Agplpart2.1' | translate}} <a href="//www.gnu.org/licenses/agpl-3.0.html"
                                                                target="_blank">{{'About.Agplpart2.link'
                        | translate}}</a> {{'About.Agplpart2.2' | translate}}
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <h4 class="page-header">I-Parapheur Web - Version {{'About.Version' | translate}} - <a href="//adullact.net/projects/iparapheur-web/"
                                                                                                   target="_blank">Forge</a>
            </h4>

            <p ng-bind-html="'About.Copyright' | translate"></p>
            <div class="col-md-12">
                <div>
                    Notice de version 4.7.0 :<br>
                    <ul>
                        <li>Nouvelle page de configuration du service Visionneuse PESv2</li>
                        <li>Nouvelle page de configuration du service Application des calques</li>
                        <li>Nouvelle page de configuration du service Connecteur Pastell</li>
                        <li>Nouvelle page de configuration de la page de connexion</li>
                        <li>Les formats de signatures détachés sont maintenant compatible avec la fonctionnalité
                            multi-documents principaux
                        </li>
                        <li>La détection automatique du format de signature est maintenant compatible avec la fonctionnalité
                            multi-documents principaux
                        </li>
                    </ul>
                </div>
                <p ng-bind-html="'About.ReleaseNote4600' | translate"></p>
                <p ng-bind-html="'About.ReleaseNote4500' | translate"></p>
                <p ng-bind-html="'About.ReleaseNote4400' | translate"></p>
                <p ng-bind-html="'About.ReleaseNote4300' | translate"></p>
                <p ng-bind-html="'About.ReleaseNote4200' | translate"></p>
                <p ng-bind-html="'About.ReleaseNote4101' | translate"></p>
                <p ng-bind-html="'About.ReleaseNote41' | translate"></p>
                <p ng-bind-html="'About.ReleaseNote40' | translate"></p>
            </div>
        </div>
    </div>
